<picture>
  <source media="(prefers-color-scheme: dark)" srcset="./static/banner-dark.png">
  <source media="(prefers-color-scheme: light)" srcset="./static/banner.png">
  <img alt="Shows a black OpenOperator Logo in light color mode and a white one in dark color mode." src="./static/banner.png"  width="full">
</picture>

[![GitHub stars](https://img.shields.io/github/stars/j0yk1ll/openoperator?style=social)](https://github.com/j0yk1ll/openoperator/stargazers)
[![Discord](https://img.shields.io/discord/1332994187712397354?color=7289DA&label=Discord&logo=discord&logoColor=white)](https://discord.gg/Jdx62Bjj8v)
[![Documentation](https://img.shields.io/badge/Documentation-📕-blue)](https://openoperator.co)
[![Twitter Follow](https://img.shields.io/twitter/follow/Gregor?style=social)](https://x.com/gregpr07)
[![Twitter Follow](https://img.shields.io/twitter/follow/Magnus?style=social)](https://x.com/mamagnus00)
[![Twitter Follow](https://img.shields.io/twitter/follow/j0yk1ll?style=social)](https://x.com/j0yk1ll)

> [!IMPORTANT]
> openoperator is a fork of [browser-use](https://github.com/browser-use/browser-use)

Enable AI to control your browser 🤖.

To learn more, check out the [documentation 📕](https://openoperator.co).

# Quick start

Install the openoperator:

```bash
uv pip install openoperator
```

Install playwright:

```bash
playwright install
```

Add your API keys to your `.env` file.

```bash
OPENAI_API_KEY=
```

For other settings, models, and more, check out the [documentation 📕](https://openoperator.co).

# Examples

For examples see the [examples](examples) folder.

# Vision

A general purpose agent, that can operate any browser, desktop, device or robot in the world.

## Contributing

We love contributions! Feel free to open issues for bugs or feature requests. To contribute to the docs, check out the `/docs` folder.

## Local Setup

To learn more about the library, check out the [local setup 📕](https://openoperator.co/development/local-setup).

## Citation

If you use OpenOperator in your research or project, please cite:

```bibtex
@software{browser_use2024,
  author = {Müller, Magnus and Žunič, Gregor},
  title = {OpenOperator: Enable AI to control your browser},
  year = {2024},
  publisher = {GitHub},
  url = {https://github.com/browser-use/browser-use}
}

@software{openoperator2025,
  author = {Raetz, Kevin},
  title = {OpenOperator: A general purpose computer use agent},
  year = {2025},
  publisher = {GitHub},
  url = {https://github.com/j0yk1ll/openoperaotr}
}
```

---

<div align="center">
  Made with ❤️ in Germany
</div>
